org.apache.lucene.analysis.payloads

## Class DelimitedPayloadTokenFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.payloads.DelimitedPayloadTokenFilterFactory

- All Implemented Interfaces:
    ResourceLoaderAware

      public class DelimitedPayloadTokenFilterFactory
      extends TokenFilterFactory
      implements ResourceLoaderAware

  Factory for `DelimitedPayloadTokenFilter`.

       <fieldType name="text_dlmtd" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.WhitespaceTokenizerFactory"/>
           <filter class="solr.DelimitedPayloadTokenFilterFactory" encoder="float" delimiter="|"/>
         </analyzer>
       </fieldType>

  Since:
    3.1
  SPI Name (Note: This is case-insensitive. e.g., if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service):
    "delimitedPayload"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DELIMITER_ATTR`
    `static String` | `ENCODER_ATTR`
    `static String` | `NAME` SPI name

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelimitedPayloadTokenFilterFactory(Map<String,String> args)` Creates a new DelimitedPayloadTokenFilterFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DelimitedPayloadTokenFilter` | `create(TokenStream input)` Transform the specified input TokenStream
    `void` | `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

      `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      SPI name
      See Also:
        Constant Field Values

    - #### ENCODER_ATTR

          public static final String ENCODER_ATTR

      See Also:
        Constant Field Values

    - #### DELIMITER_ATTR

          public static final String DELIMITER_ATTR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DelimitedPayloadTokenFilterFactory

          public DelimitedPayloadTokenFilterFactory(Map<String,String> args)

      Creates a new DelimitedPayloadTokenFilterFactory

  - ### Method Detail

    - #### create

          public DelimitedPayloadTokenFilter create(TokenStream input)

      Description copied from class: `TokenFilterFactory`
      Transform the specified input TokenStream
      Specified by:
        `create` in class `TokenFilterFactory`

    - #### inform

          public void inform(ResourceLoader loader)

      Description copied from interface: `ResourceLoaderAware`
      Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
      Specified by:
        `inform` in interface `ResourceLoaderAware`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.